## mpv 0.28.2

=== debian/changelog ===
mpv (0.28.2-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Use system libx264 instead of included version.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Feb 2018 16:04:15 -0800

mpv (0.28.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert to 3.0 (quilt) package.
  * Remove clang from B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Jan 2018 16:01:36 -0800

mpv (2:0.28.0~xenial) xenial; urgency=medium

  * Release 0.28.0
  * ffmpeg git-2017-12-26-e6a1dfc

 -- Doug McMahon <mc631man@gmail.com>  Tue, 26 Dec 2017 17:05:46 -0500

mpv (2:0.27.0+git10~xenial1) xenial; urgency=medium

  * git-2017-12-11-6c8e7da
  * ffmpeg git-2017-12-11-555119b
  * clang-5.0

 -- Doug McMahon <mc631man@gmail.com>  Mon, 11 Dec 2017 19:29:41 -0500

mpv (2:0.27.0+git9~xenial1) xenial; urgency=medium

  * git-1d92a80
  * ffmpeg-mpv-git-2017-11-29-65b5fcf
  * x264 0.152.2851 ba24899

 -- Doug McMahon <mc631man@gmail.com>  Sat, 02 Dec 2017 14:49:11 -0500

mpv (2:0.27.0+git8~xenial2) xenial; urgency=medium

  * git-4569f39
  * ffmpeg-mpv-git-2017-11-19-37e0c9f

 -- Doug McMahon <mc631man@gmail.com>  Sun, 19 Nov 2017 22:00:32 -0500

mpv (2:0.27.0+git7~xenial) xenial; urgency=medium

  * git 6b74576
    - notable nvdec hwaccel
  * ffmpeg-mpv git-2017-10-28-2ecdab4

 -- Doug McMahon <mc631man@gmail.com>  Sat, 28 Oct 2017 15:20:24 -0400

mpv (2:0.27.0+git6~xenial) xenial; urgency=medium

  * git 3413fe4
  * ffmpeg-mpv git-2017-10-27-4a98362

 -- Doug McMahon <mc631man@gmail.com>  Fri, 27 Oct 2017 19:58:38 -0400

mpv (2:0.27.0+git5~xenial1) xenial; urgency=medium

  * git-044af63
  * ffmpeg git-2017-10-21-2904db9
  * Switch to libopenjp2-7-dev

 -- Doug McMahon <mc631man@gmail.com>  Sat, 21 Oct 2017 11:40:20 -0400

mpv (2:0.27.0+git4~xenial1) xenial; urgency=medium

  * Use shared libmysofa

 -- Doug McMahon <mc631man@gmail.com>  Sat, 14 Oct 2017 07:34:29 -0400

mpv (2:0.27.0+git4~xenial) xenial; urgency=medium

  * git 2017-10-26-47b1390
  * ffmpeg git-2017-10-13-feed201

 -- Doug McMahon <mc631man@gmail.com>  Fri, 13 Oct 2017 18:03:23 -0400

mpv (2:0.27.0+git3~xenial) xenial; urgency=medium

  * git-f6fd2a0
  * ffmpeg git-2017-09-28-e16ea52

 -- Doug McMahon <mc631man@gmail.com>  Fri, 29 Sep 2017 00:34:11 -0400

mpv (2:0.27.0+git2~xenial2) xenial; urgency=medium

  * Partiially revert bfa9b62

 -- Doug McMahon <mc631man@gmail.com>  Thu, 21 Sep 2017 20:00:49 -0400

mpv (2:0.27.0+git2~xenial) xenial; urgency=medium

  * git-52789d6
  * ffmpeg git-2017-09-21-6f15f1c
  * Add desktop action for html man

 -- Doug McMahon <mc631man@gmail.com>  Thu, 21 Sep 2017 11:14:03 -0400

mpv (2:0.27.0+git1~xenial1) xenial; urgency=medium

  * git-2017-09-20-a4de782
  * ffmpeg git-2017-09-20-b4b0247
  * Build html man

 -- Doug McMahon <mc631man@gmail.com>  Tue, 19 Sep 2017 19:22:20 -0400

mpv (2:0.27.0~xenial2) xenial; urgency=medium

  * Add to desktop actions

 -- Doug McMahon <mc631man@gmail.com>  Sat, 16 Sep 2017 22:13:26 -0400

mpv (2:0.27.0~xenial1) xenial; urgency=medium

  * Revert 9646204 to allow hwdec= until fixed

 -- Doug McMahon <mc631man@gmail.com>  Thu, 14 Sep 2017 02:00:04 -0400

mpv (2:0.27.0~xenial) xenial; urgency=medium

  * New Release
  * ffmpeg git-2017-09-12-6ce4a63

 -- Doug McMahon <mc631man@gmail.com>  Tue, 12 Sep 2017 22:02:09 -0400

mpv (2:0.26.0+git6~xenial) xenial; urgency=medium

  * git d280b3d

 -- Doug McMahon <mc631man@gmail.com>  Sun, 03 Sep 2017 11:44:13 -0400

mpv (2:0.26.0+git5~xenial) xenial; urgency=medium

  * git-449d972
  * ffmpeg git-2017-09-02-c595139

 -- Doug McMahon <mc631man@gmail.com>  Sat, 02 Sep 2017 20:47:05 -0400

mpv (2:0.26.0+git4~xenial1) xenial; urgency=medium

  * git-baead23
  * ffmpeg git-2017-08-11-7735ed2
  * Revert commit 3f75b3c

 -- Doug McMahon <mc631man@gmail.com>  Sat, 12 Aug 2017 07:07:43 -0400

mpv (2:0.26.0+git3~xenial1) xenial; urgency=medium

  * git b2fb3f1
  * youtube-dl must be updated to 2017.08.09 or later

 -- Doug McMahon <mc631man@gmail.com>  Thu, 10 Aug 2017 08:32:44 -0400

mpv (2:0.26.0+git2~xenial) xenial; urgency=medium

  * git 0389852
  * ffmpeg git-2017-08-04-44e9783
  8 continue reversion for vavpp

 -- Doug McMahon <mc631man@gmail.com>  Fri, 04 Aug 2017 22:53:16 -0400

mpv (2:0.26.0+git1~xenial2) xenial; urgency=medium

  * Revert 0ce3dce0 to test (broke vavpp

 -- Doug McMahon <mc631man@gmail.com>  Tue, 25 Jul 2017 20:18:18 -0400

mpv (2:0.26.0+git1~xenial) xenial; urgency=medium

  * git-9875f14
  * ffmpeg git-2017-07-25-7140761

 -- Doug McMahon <mc631man@gmail.com>  Tue, 25 Jul 2017 19:03:25 -0400

mpv (2:0.26.0~xenial) xenial; urgency=medium

  * New Release
  * ffmpeg git-2017-07-18-c61715e

 -- Doug McMahon <mc631man@gmail.com>  Tue, 18 Jul 2017 16:25:07 -0400

mpv (2:0.25.0+git8~xenial1) xenial; urgency=medium

  * Remove tests folder libmysofa

 -- Doug McMahon <mc631man@gmail.com>  Sun, 16 Jul 2017 13:08:57 -0400

mpv (2:0.25.0+git8~xenial) xenial; urgency=medium

  * git-1097c14
  * ffmpeg git-2017-07-01-06a66e7
  * x264 0.148.2795 aaa9aa8
  * libmysofa 0.5.0

 -- Doug McMahon <mc631man@gmail.com>  Sun, 02 Jul 2017 08:39:09 -0400

mpv (2:0.25.0+git7~xenial2) xenial; urgency=medium

  * git 7bfeb8b
  * ffmpeg git-2017-06-25-73ea2a0
  * Test static linking libmysofa
  * A Redo, forgot to add dvdnav, dvdread
  * A 2nd redo, remove netcdf-dev dep

 -- Doug McMahon <mc631man@gmail.com>  Sat, 24 Jun 2017 21:39:32 -0400

mpv (2:0.25.0+git6~xenial1) xenial; urgency=medium

  * git 53a5cf4

 -- Doug McMahon <mc631man@gmail.com>  Sat, 17 Jun 2017 11:24:18 -0400

mpv (2:0.25.0+git5~xenial1) xenial; urgency=medium

  * git-b2f756c
  * ffmpeg git-2017-06-08-a32a6b4 (last with netcdf
  * libass git-9fb3840
  * enable dvdnav, dvdread

 -- Doug McMahon <mc631man@gmail.com>  Fri, 09 Jun 2017 19:52:57 -0400

mpv (2:0.25.0+git4~xenial) xenial; urgency=medium

  * git-cc69650
  * ffmpeg git-2017-05-31-08cb69e
  * enable dvbin for a couple of users



=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Doug McMahon <mc631man@gmail.com>
Standards-Version: 3.9.7
Homepage: http://mpv.io/
Build-Depends: autoconf,
 automake,
 cmake,
 debhelper (>= 9),
 lsb-release,
 docutils-common,
 ladspa-sdk,
 libasound2-dev,
 libbs2b-dev,
 libbluray-dev,
 libdrm-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev,
 libfontconfig1-dev,
 libfdk-aac-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgcrypt20-dev,
 libgl1-mesa-dev,
 libgbm-dev,
 libgme-dev,
 libgnutls-dev | libgnutls28-dev,
 libgsm1-dev,
 libharfbuzz-dev,
 libjack-jackd2-dev,
 libjpeg8-dev | libjpeg-dev,
 liblcms2-dev (>= 2.6),
 liblircclient-dev,
 liblua5.2-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libmysofa-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libopenjp2-7-dev,
 libopus-dev,
 libpulse-dev,
 librubberband-dev,
 libsmbclient-dev,
 libspeex-dev,
 libssh-dev,
 libsoxr-dev,
 libtheora-dev,
 libtool,
 libtwolame-dev,
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libv4l-dev [!hurd-any],
 libvorbis-dev,
 libvpx-dev (>= 1.6.1),
 libx11-dev,
 libx264-dev,
 libxext-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxml2-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libwavpack-dev,
 libwayland-dev,
 libxvidcore-dev,
 nasm (>= 2.13),
 python-docutils,
 rst2pdf,
 x11proto-core-dev,
 yasm,
 zlib1g-dev

Package: mpv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libgl1-mesa-dri,
 i965-va-driver | libva-intel-vaapi-driver | va-driver,
 mesa-vdpau-drivers | nvidia-vdpau-driver | nvidia-driver-binary | nvidia-current | vdpau-driver
Suggests:
Description: mplayer/mplayer2 based video player
 MPV is a versatile CLI movie player, based on mplayer and mplayer2.
 This build uses latest git FFmpeg & libass with some encoding support
 For online streaming recommended to install upstream youtube-dl & keep updated
 See here https://rg3.github.io/youtube-dl/download.html

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all

# To enable parallel building:
# You can either set DEB_BUILD_OPTIONS=paralell=<num-procs> in your build environment
# or provide the -j<numprocs> option to debuild or dpkg-buildpackage, which
# ammounts to the same thing.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
# use MFLAGS, rather than MAKEFLAGS as the latter is used by make internally
	MFLAGS += -j$(NUMJOBS)
	WAFFLAGS += -j$(NUMJOBS)
endif

# make .PHONY all the targets that have name collisions with the scripts
# see http://www.debian.org/doc/manuals/maint-guide/dreq.en.html#rules
.PHONY: clean build install
# Apparently, the above isn't enough because of the "%" target. Make the problematic targets explicit
clean:
	exec dh $@
build:
	exec dh $@
install:
	exec dh $@
# Handle all other targets in the usual way.
# The --parallel flag to dh doesn't seem to have the intended effect
# so leave it out.
%:
	exec dh $@

# this should really create multiple shared object debian packages but
# this will do for now
# the dependencies must be built before mpv is configured
#x264_config:
#	scripts/x264-config

#x264_build: x264_config
#	scripts/x264-build $(MFLAGS)

mujs_build:
	scripts/mujs-build

libass_config:
	scripts/libass-config

libass_build: libass_config
	scripts/libass-build $(MFLAGS)

ffmpeg_config:
	scripts/ffmpeg-config

ffmpeg_build: ffmpeg_config
	scripts/ffmpeg-build $(MFLAGS)

# put the config in the right place and drop the local/ since it's package managed now
override_dh_auto_configure: mujs_build libass_build ffmpeg_build
	scripts/mpv-config --prefix=/usr --confdir=/etc/mpv

override_dh_auto_build:
	scripts/mpv-build $(WAFLAGS)

DOCDEST=debian/mpv/usr/share/doc/mpv
DOCSOURCE=mpv/DOCS
TOOLDEST=debian/mpv/usr/share/doc/mpv/tools
TOOLSOURCE=mpv/TOOLS
# call waf to install to the debian packageing dir

override_dh_auto_install:
	cd mpv && python waf -v install --destdir=../debian/mpv
#	cp -f debian/mpv.conf.ubuntu debian/mpv/etc/mpv/mpv.conf

	find "$(DOCSOURCE)" -mindepth 1 -type d \
	-not -regex '.*man.*' \
	-not -regex '.*client_api_examples.*' \
	-printf "%P\0" | \
	xargs -0i /usr/bin/install -d "$(DOCDEST)/{}"

	find "$(DOCSOURCE)" -mindepth 1 -type f -not -regex '.*manu.*' \
	-not -regex '.*man.*' \
	-not -regex '.*client_api_examples.*' \
	-not -name 'tech-overview.txt' \
	-not -name 'waf-buildsystem.rst' \
	-not -name 'crosscompile-mingw.md' \
	-not -name 'coding-style.md' \
	-printf "%P\0" | \
	xargs -0i /usr/bin/install -m644 "$(DOCSOURCE)/{}" "$(DOCDEST)/{}"

	find "$(TOOLSOURCE)" -mindepth 1 -type d \
	-not -regex '.*osxbundle.*' \
	-printf "%P\0" | \
	xargs -0i /usr/bin/install -d "$(TOOLDEST)/{}"

	find "$(TOOLSOURCE)" -mindepth 1 -type f \
	-not -regex '.*osxbundle.*' \
	-not -name 'gen-x11-icon.sh' \
	-not -name 'file2string.pl' \
	-not -name 'uncrustify.cfg' \
	-printf "%P\0" | \
	xargs -0i /usr/bin/install -m644 "$(TOOLSOURCE)/{}" "$(TOOLDEST)/{}"

override_dh_compress:
	dh_compress --exclude=.md

# call all the cleans
override_dh_auto_clean:
	./clean
	find . -name "*.pyc" -delete

## mpv 0.29.0

=== wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from waflib.Configure import conf
from waflib.Tools import c_preproc
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

c_preproc.go_absolute=True # enable system folders
c_preproc.standard_includes.append('/usr/local/include')

APPNAME = 'mpv'

"""
Dependency identifiers (for win32 vs. Unix):
    wscript / C source                  meaning
    --------------------------------------------------------------------------
    posix / HAVE_POSIX:                 defined on Linux, OSX, Cygwin
                                        (Cygwin emulates POSIX APIs on Windows)
    mingw / __MINGW32__:                defined if posix is not defined
                                        (Windows without Cygwin)
    os-win32 / _WIN32:                  defined if basic windows.h API is available
    win32-desktop / HAVE_WIN32_DESKTOP: defined if desktop windows.h API is available
    uwp / HAVE_UWP:                     defined if building for UWP (basic Windows only)
"""

build_options = [
    {
        'name': '--lgpl',
        'desc': 'LGPL (version 2.1 or later) build',
        'default': 'disable',
        'func': check_true,
    }, {
        'name': 'gpl',
        'desc': 'GPL (version 2 or later) build',
        'deps': '!lgpl',
        'func': check_true,
    }, {
        'name': 'libaf',
        'desc': 'internal audio filter chain',
        'deps': 'gpl',
        'func': check_true,
    }, {
        'name': '--cplayer',
        'desc': 'mpv CLI player',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--libmpv-shared',
        'desc': 'shared library',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--libmpv-static',
        'desc': 'static library',
        'default': 'disable',
        'deps': '!libmpv-shared',
        'func': check_true
    }, {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--optimize',
        'desc': 'whether to optimize',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--html-build',
        'desc': 'html manual generation',
        'func': check_ctx_vars('RST2HTML'),
        'default': 'disable',
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2PDF'),
        'default': 'disable',
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': '--cplugins',
        'desc': 'C plugins',
        'deps': 'libdl && !os-win32',
        'func': check_cc(linkflags=['-rdynamic']),
    }, {
        'name': '--zsh-comp',
        'desc': 'zsh completion',
        'func': check_ctx_vars('BIN_PERL'),
        'func': check_true,
        'default': 'disable',
    }, {
        # does nothing - left for backward and forward compatibility
        'name': '--asm',
        'desc': 'inline assembly (currently without effect)',
        'default': 'enable',
        'func': check_true,
    }, {
        'name': '--test',
        'desc': 'test suite (using cmocka)',
        'func': check_pkg_config('cmocka', '>= 1.0.0'),
        'default': 'disable',
    }, {
        'name': '--clang-database',
        'desc': 'generate a clang compilation database',
        'func': check_true,
        'default': 'disable',
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'mingw',
        'desc': 'MinGW',
        'deps': 'os-win32',
        'func': check_statement('stdlib.h', 'int x = __MINGW32__;'
                                            'int y = __MINGW64_VERSION_MAJOR'),
    }, {
        'name': 'posix',
        'desc': 'POSIX environment',
        # This should be good enough.
        'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
            'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
    }, {
        'name': '--android',
        'desc': 'Android environment',
        'func': compose_checks(
            check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
            check_cc(lib="android"),
            check_cc(lib="EGL"),
        )
    }, {
        'name': 'posix-or-mingw',
        'desc': 'development environment',
        'deps': 'posix || mingw',
        'func': check_true,
        'req': True,
        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                'or compiler does not work.',
    }, {
        'name': '--uwp',
        'desc': 'Universal Windows Platform',
        'default': 'disable',
        'deps': 'os-win32 && mingw && !cplayer',
        'func': check_cc(lib=['windowsapp']),
    }, {
        'name': 'win32-desktop',
        'desc': 'win32 desktop APIs',
        'deps': '(os-win32 || os-cygwin) && !uwp',
        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid', 'avrt', 'dwmapi', 'version']),
    }, {
        'name': '--win32-internal-pthreads',
        'desc': 'internal pthread wrapper for win32 (Vista+)',
        'deps': 'os-win32 && !posix',
        'func': check_true,
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        'name': 'gnuc',
        'desc': 'GNU C extensions',
        'func': check_statement([], "__GNUC__"),
    }, {
        'name': 'stdatomic',
        'desc': 'stdatomic.h',
        'func': check_libs(['atomic'],
            check_statement('stdatomic.h',
                'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                'atomic_fetch_add(&test, 1)'))
    }, {
        'name': 'atomics',
        'desc': 'stdatomic.h support or slow emulation',
        'func': check_true,
        'req': True,
        'deps': 'stdatomic || gnuc',
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': 'pthreads',
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps': 'os-win32 || os-cygwin',
        'func': check_true
    }, {
        'name': 'posix-spawn-native',
        'desc': 'spawnp()/kill() POSIX support',
        'func': check_statement(['spawn.h', 'signal.h'],
            'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
        'deps': '!mingw',
    }, {
        'name': 'posix-spawn-android',
        'desc': 'spawnp()/kill() Android replacement',
        'func': check_true,
        'deps': 'android && !posix-spawn-native',
    },{
        'name': 'posix-spawn',
        'desc': 'any spawnp()/kill() support',
        'deps': 'posix-spawn-native || posix-spawn-android',
        'func': check_true,
    }, {
        'name': 'win32-pipes',
        'desc': 'Windows pipe support',
        'func': check_true,
        'deps': 'win32-desktop && !posix',
    }, {
        'name': 'glob-posix',
        'desc': 'glob() POSIX support',
        'deps': '!(os-win32 || os-cygwin)',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)'),
    }, {
        'name': 'glob-win32',
        'desc': 'glob() win32 replacement',
        'deps': '!posix && (os-win32 || os-cygwin)',
        'func': check_true
    }, {
        'name': 'glob',
        'desc': 'any glob() support',
        'deps': 'glob-posix || glob-win32',
        'func': check_true,
    }, {
        'name': 'fchmod',
        'desc': 'fchmod()',
        'func': check_statement('sys/stat.h', 'fchmod(0, 0)'),
    }, {
        'name': 'vt.h',
        'desc': 'vt.h',
        'func': check_statement(['sys/vt.h', 'sys/ioctl.h'],
                                'int m; ioctl(0, VT_GETMODE, &m)'),
    }, {
        'name': 'gbm.h',
        'desc': 'gbm.h',
        'func': check_cc(header_name=['stdio.h', 'gbm.h']),
    }, {
        'name': 'glibc-thread-name',
        'desc': 'GLIBC API for setting thread name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'osx-thread-name',
        'desc': 'OSX API for setting thread name',
        'deps': '!glibc-thread-name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np("ducks")', use=['pthreads']),
    }, {
        'name': 'bsd-thread-name',
        'desc': 'BSD API for setting thread name',
        'deps': '!(glibc-thread-name || osx-thread-name)',
        'func': check_statement('pthread.h',
                                'pthread_set_name_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'bsd-fstatfs',
        'desc': "BSD's fstatfs()",
        'func': check_statement(['sys/param.h', 'sys/mount.h'],
                                'struct statfs fs; fstatfs(0, &fs); fs.f_fstypename')
    }, {
        'name': 'linux-fstatfs',
        'desc': "Linux's fstatfs()",
        'deps': 'os-linux',
        'func': check_statement('sys/vfs.h',
                                'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
    }, {
        'name': '--libsmbclient',
        'desc': 'Samba support (makes mpv GPLv3)',
        'deps': 'libdl && gpl',
        'func': check_pkg_config('smbclient'),
        'default': 'disable',
        'module': 'input',
    }, {
        'name' : '--lua',
        'desc' : 'Lua',
        'func': check_lua,
    }, {
        'name' : '--javascript',
        'desc' : 'Javascript (MuJS backend)',
        'func': check_pkg_config('mujs', '>= 1.0.0'),
    }, {
        'name': '--libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass', '>= 0.12.1'),
        'req': True,
        'fmsg': "Unable to find development files for libass, or the version " +
                "found is too old. Aborting. If you really mean to compile " +
                "without libass support use --disable-libass."
    }, {
        'name': '--libass-osd',
        'desc': 'libass OSD support',
        'deps': 'libass',
        'func': check_true,
    }, {
        'name': 'dummy-osd',
        'desc': 'dummy OSD support',
        'deps': '!libass-osd',
        'func': check_true,
    } , {
        'name': '--zlib',
        'desc': 'zlib',
        'func': check_libs(['z'],
                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
        'req': True,
        'fmsg': 'Unable to find development files for zlib.'
    }, {
        'name': '--libbluray',
        'desc': 'Bluray support',

=== debian/changelog ===
mpv (0.29.0-1ubuntu2) cosmic; urgency=medium

  * Rebuild against new libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Aug 2018 08:09:55 +0200

mpv (0.29.0-1ubuntu1) cosmic; urgency=medium

  * Rewrote 08_fix-lp1698287.patch to work with the latest mpv source code,
    allowing VAAPI to work in Wayland sessions out-of-the-box. (LP: #1698287)
  * Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
    (LP: #1708102)
  * Rebased on latest Debian version 0.29.0-1.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 09 Aug 2018 18:04:13 +0800

mpv (0.29.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #904629)
    - player: add on_load_fail hook. (Closes: #898576)
    - ytdl_hook: fix single-entry playlists. (Closes: #898279)

  * debian/copyright: Update.
  * debian/libmpv1.symbols: Add new symbols.
  * debian/patches:
    - Drop 04_waf-pie.patch - hopefully not needed in recent GCC.
    - Drop 08_waf-python3.7.patch - applied in new waf.
    - Rewrite patch description for 06_ffmpeg-abi.patch.
    - Refresh patches.
  * debian/rules:
    - Remove --enable-encoding option.

 -- James Cowgill <jcowgill@debian.org>  Sat, 28 Jul 2018 12:29:32 +0800

mpv (0.28.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- James Cowgill <jcowgill@debian.org>  Wed, 18 Jul 2018 12:00:43 +0100

mpv (0.28.2-2) experimental; urgency=medium

  * debian/control:
    - Add missing build-dependency on wayland-protocols.
      Thanks to Laurent Bigonville for reporting! (Closes: #903887)
    - Bump standards version to 4.1.5.
  * debian/patches:
    - Add patch to fix FTBFS with Python 3.7 as the default python3.
      (Closes: #903610)

 -- James Cowgill <jcowgill@debian.org>  Mon, 16 Jul 2018 22:13:05 +0100

mpv (0.28.2-1) experimental; urgency=medium

  * New upstream bugfix release.
    - Also whitelist subtitle URLs in youtube-dl hook. (Closes: #890410)

  * debian/rules:
    - Build-Depend on ffmpeg 4.0. (Closes: #898080)
  * debian/patches:
    - Drop patch for CVE-2018-6360 - fixed upstream.
    - Fix typo in 06_ffmpeg-abi.patch description.

 -- James Cowgill <jcowgill@debian.org>  Sun, 06 May 2018 23:20:25 +0100

mpv (0.28.0-1) experimental; urgency=medium

  * New upstream release.

  * debian/compat:
    - Use debhelper 11.
  * debian/control:
    - Set Maintainer to debian-multimedia@l.d.o.
    - Switch Vcs URLs to salsa.debian.org.
    - Drop unused dependency on libavresample-dev.
    - Add dependencies on libarchive-dev and libvulkan-dev.
    - Bump ffmpeg dependencies to 3.5.
    - Set Rules-Requires-Root: no.
    - Bump standards to 4.1.3.
  * debian/copyright:
    - Update for 0.28.
    - Use secure copyright format URL.
  * debian/patches:
    - Drop vaapi patch applied upstream.
    - Add patch for CVE-2018-6360. (Closes: #888654)
    - Refresh other patches.

 -- James Cowgill <jcowgill@debian.org>  Sun, 04 Feb 2018 12:53:27 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ARCH_CONFIGURE = --enable-dvbin
endif

%:
	dh $@

override_dh_auto_configure:
	python3 ./waf configure						\
			--prefix=/usr					\
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)		\
			--confdir=/etc/mpv				\
			--zshdir=/usr/share/zsh/vendor-completions	\
			--enable-cdda					\
			--enable-dvdnav					\
			--enable-dvdread				\
			--enable-libmpv-shared				\
			--enable-libsmbclient				\
			--enable-sdl2					\
			--enable-sndio					\
			--enable-zsh-comp				\
			--disable-build-date				\
			$(ARCH_CONFIGURE)

override_dh_auto_build:
	python3 ./waf -v build

override_dh_auto_install:
	python3 ./waf -v install --destdir=debian/tmp
	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

override_dh_auto_clean:
	test -s ./waf && python3 ./waf -v distclean || true
	find . -name "*.pyc" -delete

## mpv 0.29.1

=== debian/changelog ===
mpv (0.29.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Dec 2018 15:52:16 -0800

mpv (0.29.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump standards version to 4.2.1.

 -- James Cowgill <jcowgill@debian.org>  Wed, 03 Oct 2018 10:00:52 +0100

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 debhelper (>= 11),
 dpkg-dev (>= 1.17),
 libarchive-dev (>= 3),
 libasound2-dev [linux-any],
 libass-dev (>= 0.12.1~),
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev [linux-any],
 libgbm-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsmbclient-dev,
 libsndio-dev (>= 1.0.1),
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev [linux-any],
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 pkg-config,
 python3,
 python3-docutils,
 wayland-protocols,
Standards-Version: 4.2.1
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
Rules-Requires-Root: no

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, youtube-dl (>= 2014.11.26)
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: youtube-dl (>= 2014.11.26)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 override_dh_auto_install:
 	python3 ./waf -v install --destdir=debian/tmp
-	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES
@@ -41,3 +40,6 @@
 override_dh_auto_clean:
 	test -s ./waf && python3 ./waf -v distclean || true
 	find . -name "*.pyc" -delete
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mpv 0.29.1.37

=== wscript ===
--- 
+++ 
@@ -169,6 +169,11 @@
         'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                 'or compiler does not work.',
     }, {
+        'name': '--swift',
+        'desc': 'macOS Swift build tools',
+        'deps': 'os-darwin',
+        'func': check_swift,
+    }, {
         'name': '--uwp',
         'desc': 'Universal Windows Platform',
         'default': 'disable',
@@ -343,7 +348,3 @@
         'func': check_libs(['z'],
                     check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
         'req': True,
-        'fmsg': 'Unable to find development files for zlib.'
-    }, {
-        'name': '--libbluray',
-        'desc': 'Bluray support',

=== debian/changelog ===
mpv (0.29.1.37-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Fri, 11 Feb 2022 16:08:57 +0800

mpv (0.29.1.3-1+dde) unstable; urgency=medium

  * Fix the problem of mips wayland can't initialize OpenGL

 -- liuzheng <liuzheng@uniontech.com>  Oct, 10 Tue 2021 10:01:23 +0800

mpv (0.29.1.2-1+dde) unstable; urgency=medium

  * Fix the problem of arm platform playing crash

 -- liuzheng <liuzheng@uniontech.com>  Mar, 8 Fri 2021 09:37:59 +0800

mpv (0.29.1.1-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Tue, 23 Feb 2021 01:37:59 +0000

mpv (0.29.1-2) unstable; urgency=medium

  * Adjust the output drive sequence of mips architecture.
    - 0001-Adjust-the-output-drive-sequence.patch
    - 0002-Restore-the-output-drive-sequence-of-non-mips-archit.patch
  * Remove the configuration options of opengl on the mips platform.

 -- liuzheng <liuzheng@uniontech.com>  Thu, 2  Dec 2020 10:59:30 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
@@ -81,7 +80,6 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: youtube-dl (>= 2014.11.26)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)

## mpv 0.30.0

=== wscript ===
--- 
+++ 
@@ -3,6 +3,7 @@
 import sys, os, re
 sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
 sys.path.insert(0, os.getcwd())
+from shlex import split
 from waflib.Configure import conf
 from waflib.Tools import c_preproc
 from waflib import Utils
@@ -103,12 +104,6 @@
         'deps': 'libdl && !os-win32',
         'func': check_cc(linkflags=['-rdynamic']),
     }, {
-        'name': '--zsh-comp',
-        'desc': 'zsh completion',
-        'func': check_ctx_vars('BIN_PERL'),
-        'func': check_true,
-        'default': 'disable',
-    }, {
         # does nothing - left for backward and forward compatibility
         'name': '--asm',
         'desc': 'inline assembly (currently without effect)',
@@ -117,13 +112,19 @@
     }, {
         'name': '--test',
         'desc': 'test suite (using cmocka)',
-        'func': check_pkg_config('cmocka', '>= 1.0.0'),
+        'func': check_pkg_config('cmocka', '>= 1.1.5'),
         'default': 'disable',
     }, {
         'name': '--clang-database',
         'desc': 'generate a clang compilation database',
         'func': check_true,
         'default': 'disable',
+    } , {
+        'name': '--swift-static',
+        'desc': 'static Swift linking',
+        'deps': 'os-darwin',
+        'func': check_ctx_vars('SWIFT_LIB_STATIC'),
+        'default': 'disable'
     }
 ]
 
@@ -149,17 +150,24 @@
     }, {
         'name': 'posix',
         'desc': 'POSIX environment',
-        # This should be good enough.
-        'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
-            'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
+        'func': check_statement(['unistd.h'], 'long x = _POSIX_VERSION'),
     }, {
         'name': '--android',
         'desc': 'Android environment',
-        'func': compose_checks(
-            check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
-            check_cc(lib="android"),
-            check_cc(lib="EGL"),
-        )
+        'func': check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
+    }, {
+        'name': '--tvos',
+        'desc': 'tvOS environment',
+        'func': check_statement(
+            ['TargetConditionals.h', 'assert.h'],
+            'static_assert(TARGET_OS_TV, "TARGET_OS_TV defined to zero!")'
+        ),
+    }, {
+        'name': '--egl-android',
+        'desc': 'Android EGL support',
+        'deps': 'android',
+        'groups': [ 'gl' ],
+        'func': check_cc(lib=['android', 'EGL']),
     }, {
         'name': 'posix-or-mingw',
         'desc': 'development environment',
@@ -207,6 +215,11 @@
                 'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                 'atomic_fetch_add(&test, 1)'))
     }, {
+        # C11; technically we still support C99
+        'name': 'aligned_alloc',
+        'desc': 'C11 aligned_alloc()',
+        'func': check_statement('stdlib.h', 'aligned_alloc(1, 1)'),
+    }, {
         'name': 'atomics',
         'desc': 'stdatomic.h support or slow emulation',
         'func': check_true,
@@ -235,7 +248,7 @@
         'desc': 'spawnp()/kill() POSIX support',
         'func': check_statement(['spawn.h', 'signal.h'],
             'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
-        'deps': '!mingw',
+        'deps': '!mingw && !tvos',
     }, {
         'name': 'posix-spawn-android',
         'desc': 'spawnp()/kill() Android replacement',
@@ -310,6 +323,12 @@
         'func': check_statement('sys/vfs.h',
                                 'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
     }, {
+        'name': 'memfd_create',
+        'desc': "Linux's memfd_create()",
+        'deps': 'os-linux',
+        'func': check_statement('sys/mman.h',
+                                'memfd_create("mpv", MFD_CLOEXEC | MFD_ALLOW_SEALING)')
+    }, {
         'name': '--libsmbclient',
         'desc': 'Samba support (makes mpv GPLv3)',
         'deps': 'libdl && gpl',
@@ -329,22 +348,3 @@
         'desc': 'SSA/ASS support',
         'func': check_pkg_config('libass', '>= 0.12.1'),
         'req': True,
-        'fmsg': "Unable to find development files for libass, or the version " +
-                "found is too old. Aborting. If you really mean to compile " +
-                "without libass support use --disable-libass."
-    }, {
-        'name': '--libass-osd',
-        'desc': 'libass OSD support',
-        'deps': 'libass',
-        'func': check_true,
-    }, {
-        'name': 'dummy-osd',
-        'desc': 'dummy OSD support',
-        'deps': '!libass-osd',
-        'func': check_true,
-    } , {
-        'name': '--zlib',
-        'desc': 'zlib',
-        'func': check_libs(['z'],
-                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
-        'req': True,

=== debian/changelog ===
mpv (0.30.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)
  * Drop changes included in upstream source code: 08_fix-lp1698287.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Nov 2019 12:06:34 +0100

mpv (0.30.0-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (Closes: #945367)

  * d/copyright: Updates for 0.30.0.
  * d/control:
    - Use debhelper compat 12.
    - Bump minimum libwayland-dev version.
    - Drop libvulkan-dev.
    - Add build-dependency on libdrm-dev.
    - Bump standards version to 4.4.1.
  * d/libmpv1.symbols:
    - Add new symbols found in 0.30.0.
    - Add Build-Depends-Package field.
  * d/patches:
    - Drop 02_fix-config-path.patch.
    - Refresh patches.
  * d/rules:
    - Drop --enable-zsh-comp.
    - Drop --enable-libdvdread.

  [ Ondřej Nový ]
  * d/control: Use debhelper-compat instead of debian/compat.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Nov 2019 17:29:57 +0000

mpv (0.29.1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Rewrote 08_fix-lp1698287.patch to work with the latest mpv source code,
      allowing VAAPI to work in Wayland sessions out-of-the-box. (LP: #1698287)
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)
    - Rebased on latest Debian version 0.29.1-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Nov 2018 11:58:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.17),
  libarchive-dev (>= 3),
  libasound2-dev [linux-any],
@@ -19,8 +19,8 @@
  libbluray-dev,
  libcaca-dev,
  libcdio-paranoia-dev,
+ libdrm-dev (>= 2.4.74),
  libdvdnav-dev,
- libdvdread-dev,
  libegl1-mesa-dev [linux-any],
  libgbm-dev,
  libgl1-mesa-dev,
@@ -37,8 +37,7 @@
  libuchardet-dev,
  libva-dev,
  libvdpau-dev,
- libvulkan-dev [linux-any],
- libwayland-dev [linux-any],
+ libwayland-dev (>= 1.15.0) [linux-any],
  libx11-dev,
  libxinerama-dev,
  libxkbcommon-dev [linux-any],
@@ -49,7 +48,7 @@
  python3,
  python3-docutils,
  wayland-protocols,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://mpv.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
@@ -80,6 +79,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: youtube-dl (>= 2014.11.26)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)

## mpv 0.32.0

=== wscript ===
--- 
+++ 
@@ -40,11 +40,6 @@
         'deps': '!lgpl',
         'func': check_true,
     }, {
-        'name': 'libaf',
-        'desc': 'internal audio filter chain',
-        'deps': 'gpl',
-        'func': check_true,
-    }, {
         'name': '--cplayer',
         'desc': 'mpv CLI player',
         'default': 'enable',
@@ -79,6 +74,18 @@
         'name': '--debug-build',
         'desc': 'whether to compile-in debugging information',
         'default': 'enable',
+        'func': check_true
+    }, {
+        'name': '--tests',
+        'desc': 'unit tests (development only)',
+        'default': 'disable',
+        'func': check_true
+    }, {
+        # Reminder: normally always built, but enabled by MPV_LEAK_REPORT.
+        # Building it can be disabled only by defining NDEBUG through CFLAGS.
+        'name': '--ta-leak-report',
+        'desc': 'enable ta leak report by default (development only)',
+        'default': 'disable',
         'func': check_true
     }, {
         'name': '--manpage-build',
@@ -109,11 +116,6 @@
         'desc': 'inline assembly (currently without effect)',
         'default': 'enable',
         'func': check_true,
-    }, {
-        'name': '--test',
-        'desc': 'test suite (using cmocka)',
-        'func': check_pkg_config('cmocka', '>= 1.1.5'),
-        'default': 'disable',
     }, {
         'name': '--clang-database',
         'desc': 'generate a clang compilation database',
@@ -215,7 +217,7 @@
                 'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                 'atomic_fetch_add(&test, 1)'))
     }, {
-        # C11; technically we still support C99
+        # C11; technically we require C11, but aligned_alloc() is not in MinGW
         'name': 'aligned_alloc',
         'desc': 'C11 aligned_alloc()',
         'func': check_statement('stdlib.h', 'aligned_alloc(1, 1)'),
@@ -342,9 +344,3 @@
     }, {
         'name' : '--javascript',
         'desc' : 'Javascript (MuJS backend)',
-        'func': check_pkg_config('mujs', '>= 1.0.0'),
-    }, {
-        'name': '--libass',
-        'desc': 'SSA/ASS support',
-        'func': check_pkg_config('libass', '>= 0.12.1'),
-        'req': True,

=== debian/changelog ===
mpv (0.32.0-3.0antix1) unstable; urgency=medium

  * remove hard libsmbclient dependency for antiX 

 -- anticapitalista <antix@operamail.com>  Tue, 27 Apr 2021 12:35:34 +0300

mpv (0.32.0-3) unstable; urgency=medium

  * debian/patches: Apply upstream fix for CVE-2021-30145 (Closes: #986839)
    Thanks to Jan Ekström.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Apr 2021 09:10:40 +0200

mpv (0.32.0-2) unstable; urgency=medium

  * Bug fix: "unintended code execution vulnerability", thanks to astian
    (Closes: #950816). Patch backported from upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Jul 2020 18:01:43 -0400

mpv (0.32.0-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/copyright: Add updates for 0.32.0.
  * d/control:
    - Update libarchive dependency.
    - Bump standards version to 4.5.0.
  * d/patches: Refresh patches.

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse.

 -- James Cowgill <jcowgill@debian.org>  Wed, 29 Jan 2020 01:03:08 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.17),
- libarchive-dev (>= 3),
+ libarchive-dev,
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
  libavcodec-dev (>= 7:4.0),
@@ -31,7 +31,6 @@
  libpulse-dev,
  librubberband-dev,
  libsdl2-dev,
- libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
  libswscale-dev (>= 7:4.0),
  libuchardet-dev,
@@ -48,7 +47,7 @@
  python3,
  python3-docutils,
  wayland-protocols,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://mpv.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,10 @@
 			--zshdir=/usr/share/zsh/vendor-completions	\
 			--enable-cdda					\
 			--enable-dvdnav					\
-			--enable-dvdread				\
 			--enable-libmpv-shared				\
-			--enable-libsmbclient				\
+			--disable-libsmbclient				\
 			--enable-sdl2					\
 			--enable-sndio					\
-			--enable-zsh-comp				\
 			--disable-build-date				\
 			$(ARCH_CONFIGURE)
 
@@ -40,6 +38,3 @@
 override_dh_auto_clean:
 	test -s ./waf && python3 ./waf -v distclean || true
 	find . -name "*.pyc" -delete
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
